## net.sourceforge.pmd.ast
Interface CanSuppressWarnings

All Known Implementing Classes:
  ASTClassOrInterfaceBodyDeclaration, ASTFormalParameter, ASTLocalVariableDeclaration, ASTTypeDeclaration

public interface CanSuppressWarnings

Method Summary
`boolean` `hasSuppressWarningsAnnotationFor(Rule rule)`

Method Detail

### hasSuppressWarningsAnnotationFor

    public boolean hasSuppressWarningsAnnotationFor(Rule rule)

Copyright © 2002-2006 InfoEther. All Rights Reserved.